Main Page Widgets glibmm Namespaces Book

# Glib::SignalTimeout Class Reference
[The Main Event Loop]

List of all members.

## Public Member Functions
sigc::connection | connect (const sigc::slot<bool>& slot, unsigned int interval, int priority=PRIORITY_DEFAULT)
| Connects a timeout handler.

## Member Function Documentation

sigc::connection Glib::SignalTimeout::connect | ( | const sigc::slot< bool > & | slot,
|  | unsigned int | interval,
|  | int | priority = `PRIORITY_DEFAULT` |
| ) |  |  |

Connects a timeout handler.

     Glib::signal_timeout().connect(sigc::ptr_fun(&timeout_handler), 1000);

is equivalent to:

     const Glib::RefPtr<Glib::TimeoutSource> timeout_source = Glib::TimeoutSource::create(1000);
     timeout_source->connect(sigc::ptr_fun(&timeout_handler));
     timeout_source->attach(Glib::MainContext::get_default());

Parameters:

  | slot | A slot to call when interval elapsed.
  | interval | The timeout in milliseconds.
  | priority | The priority of the new event source.

Returns:
  A connection handle, which can be used to disconnect the handler.

The documentation for this class was generated from the following file:

- main.h